import router from "@/router";
import { createPinia } from "pinia";
import { markRaw } from "vue";
import MainNavigationBar from "./MainNavigationBar.vue";

describe("<MainNavigationBar />", () => {
  it("renders", async () => {
    const pinia = createPinia();
    pinia.use(({ store }) => {
      store.router = markRaw(router);
    });
    router.push("/");
    await router.isReady();
    // see: https://on.cypress.io/mounting-vue
    cy.mount(MainNavigationBar, {
      router: router,
      global: {
        plugins: [pinia],
      },
    });
  });
});
